> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Deliver a HITL approval/rejection to the user's active chat session

> Deliver a HITL approval/rejection for an in-flight turn.



## OpenAPI

````yaml /api-reference/mobilerun-va-chat.yaml post /assistant/chat/permission
openapi: 3.1.0
info:
  title: Mobilerun VA Chat
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /assistant/chat/permission:
    post:
      tags:
        - Chat
      summary: Deliver a HITL approval/rejection to the user's active chat session
      description: Deliver a HITL approval/rejection for an in-flight turn.
      operationId: chatPermission
      requestBody:
        content:
          application/json:
            schema:
              properties:
                permissionId:
                  minLength: 1
                  type: string
                response:
                  enum:
                    - once
                    - always
                    - reject
                  type: string
              required:
                - permissionId
                - response
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    enum:
                      - true
                    type: boolean
                required:
                  - ok
                type: object
          description: Permission delivered
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                required:
                  - message
                type: object
          description: No active chat session for this user
        '500':
          description: Internal Server Error
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.assistant.conversations.answerPermission({
              permissionId: 'x',
              response: 'once',
            });


            console.log(response.ok);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            response = client.assistant.conversations.answer_permission(
                permission_id="x",
                response="once",
            )
            print(response.ok)
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````